<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.w3.org/1999/xhtml">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
    <!--meta http-equiv="refresh" content="30"-->

    <!-- CSS -->
    <link rel="stylesheet" href="./static/main.css">

    <title>Jukebox - Jan Wagemakers -</title>
</head>

<body>
    <div class="content">
        <article class="feature-image">
            <header id="main" style="background-image: url('./static/jukebox.jpeg')">
                <h1 id="About" class="title">
                    Jukebox
                </h1>
            </header>
            <section class="post-content">
                <div align="center">
                    <div id="refresh">
                        <table style="overflow:hidden; width:auto;">
                            <tbody>
                            <tr>
                                <td>&#9754;</td>
				<td> {{.Prev}} </td>
                            </tr>
                            <tr>
                                <td>&#9834;</td>
				<td> {{.Now}} </td>
                            </tr>
                            <tr>
                                <td>&#9755;</td>
				<td> {{.Next}} </td>
                            </tr>
                            </tbody>
                        </table>
                        <p>
			 <form action="/" method="post">
                                <input class="button {{.Back}}" type="submit" name="action" value="Back"/>
                                <input class="button {{.Forward}}" type="submit" name="action" value="Forward"/>
                                <input class="button {{.Stop}}" type="submit" name="action" value="Stop"/>
                                <input class="button {{.Start}}" type="submit" name="action" value="Start"/>
                        </form>
                        </p>
                    </div>
                </div>
            </section>
        </article>
    </div>

    <script>
        document.addEventListener('DOMContentLoaded', function() {
            setInterval(function() {
                var url = window.location.hostname;  // get current ip
                var id = "#refresh";
                var xhr = new XMLHttpRequest();

                xhr.onreadystatechange = function xhrStateChange() {
                    if (xhr.readyState === 4) {                       // 4 	DONE 	The operation is complete.
                        try {
                            document.querySelector(id).innerHTML = xhr.responseXML.querySelector(id).innerHTML;
                        } catch (e) {
                            document.querySelector(id).innerHTML = "<p>No network connection</p>";
                        }
                    }
                };

                xhr.open('GET', url);
                xhr.responseType = 'document';
                xhr.send();

            }, 1000);
        });
    </script>

</body>
</html>
